Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

## Class CustomerPaymentStatusReportV10

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_10.CustomerPaymentStatusReportV10

    public class CustomerPaymentStatusReportV10
    extends java.lang.Object

Java class for CustomerPaymentStatusReportV10 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CustomerPaymentStatusReportV10">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}GroupHeader86"/>
             <element name="OrgnlGrpInfAndSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}OriginalGroupHeader17"/>
             <element name="OrgnlPmtInfAndSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}OriginalPaymentInstruction32" maxOccurs="unbounded" minOccurs="0"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected GroupHeader86` `grpHdr`
`protected OriginalGroupHeader17` `orgnlGrpInfAndSts`
`protected java.util.List<OriginalPaymentInstruction32>` `orgnlPmtInfAndSts`
`protected java.util.List<SupplementaryData1>` `splmtryData`

### Constructor Summary

Constructors
`CustomerPaymentStatusReportV10()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroupHeader86` `getGrpHdr()` Gets the value of the grpHdr property.
`OriginalGroupHeader17` `getOrgnlGrpInfAndSts()` Gets the value of the orgnlGrpInfAndSts property.
`java.util.List<OriginalPaymentInstruction32>` `getOrgnlPmtInfAndSts()` Gets the value of the orgnlPmtInfAndSts property.
`java.util.List<SupplementaryData1>` `getSplmtryData()` Gets the value of the splmtryData property.
`void` `setGrpHdr​(GroupHeader86 value)` Sets the value of the grpHdr property.
`void` `setOrgnlGrpInfAndSts​(OriginalGroupHeader17 value)` Sets the value of the orgnlGrpInfAndSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### grpHdr

    protected GroupHeader86 grpHdr

#### orgnlGrpInfAndSts

    protected OriginalGroupHeader17 orgnlGrpInfAndSts

#### orgnlPmtInfAndSts

    protected java.util.List<OriginalPaymentInstruction32> orgnlPmtInfAndSts

#### splmtryData

    protected java.util.List<SupplementaryData1> splmtryData

### Constructor Detail

#### CustomerPaymentStatusReportV10

    public CustomerPaymentStatusReportV10()

### Method Detail

#### getGrpHdr

    public GroupHeader86 getGrpHdr()

Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeader86`

#### setGrpHdr

    public void setGrpHdr​(GroupHeader86 value)

Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeader86`

#### getOrgnlGrpInfAndSts

    public OriginalGroupHeader17 getOrgnlGrpInfAndSts()

Gets the value of the orgnlGrpInfAndSts property.

Returns:
  possible object is `OriginalGroupHeader17`

#### setOrgnlGrpInfAndSts

    public void setOrgnlGrpInfAndSts​(OriginalGroupHeader17 value)

Sets the value of the orgnlGrpInfAndSts property.

Parameters:
  `value` - allowed object is `OriginalGroupHeader17`

#### getOrgnlPmtInfAndSts

    public java.util.List<OriginalPaymentInstruction32> getOrgnlPmtInfAndSts()

Gets the value of the orgnlPmtInfAndSts property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the orgnlPmtInfAndSts property.

For example, to add a new item, do as follows:

        getOrgnlPmtInfAndSts().add(newItem);

Objects of the following type(s) are allowed in the list `OriginalPaymentInstruction32`

#### getSplmtryData

    public java.util.List<SupplementaryData1> getSplmtryData()

Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`